/*
    FEARLUS model1-0: ApprovalReport.m
    Copyright (C) 1999-2006  Macaulay Institute

    This file is part of FEARLUS model1-0, an agent-based model of land use
    change.

    FEARLUS model1-0 is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    FEARLUS model1-0 is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details. (LICENCE file in
    this directory.)

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

    Contact information:
      Gary Polhill,
      Macaulay Institute, Craigiebuckler, Aberdeen, AB15 8QH. United Kingdom
      g.polhill@macaulay.ac.uk
*/

/* Implementation of ApprovalReport
 */

#import "ApprovalReport.h"
#import "ModelSwarm.h"
#import "LandAllocator.h"
#import "AbstractSocialLandManager.h"
#import "FearlusOutput.h"

@implementation ApprovalReport

-(void)reportForYear: (unsigned)year toFile: (FILE *)fp {
  id <List> land_managers
    = (id <List>)[[model getLandAllocator] getLandManagers];
  id ix;
  AbstractSocialLandManager *lm;

  for(ix = [land_managers begin: scratchZone],
	lm = (AbstractSocialLandManager *)[ix next];
      [ix getLoc] == Member;
      lm = (AbstractSocialLandManager *)[ix next]) {

    if(![lm respondsTo: M(getApproval)]
       || ![lm respondsTo: M(getDisApproval)]
       || ![lm respondsTo: M(getApprove)]
       || ![lm respondsTo: M(getDispprove)] ) {
      continue;
    }

    fprintf(fp, "Land manager:\t%u\tApproval by others:\t%g\tDisapproval by "
	    "others:\t%g\tApproval of others:\t%g\tDisapproval of others:\t%g"
	    "%s", [lm getPIN], [lm getApproval], [lm getDisapproval],
	    [lm getApprove], [lm getDisapprove], [FearlusOutput nl]);
  }
  [ix drop];
}

@end
