/*
    FEARLUS model1-0: FearlusOutput.h
    Copyright (C) 1999-2006  Macaulay Institute

    This file is part of FEARLUS model1-0, an agent-based model of land use
    change.

    FEARLUS model1-0 is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    FEARLUS model1-0 is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details. (LICENCE file in
    this directory.)

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

    Contact information:
      Gary Polhill,
      Macaulay Institute, Craigiebuckler, Aberdeen, AB15 8QH. United Kingdom
      g.polhill@macaulay.ac.uk
*/

/* This class is designed to manage output from FEARLUS. All textual messages
 * output from FEARLUS should use this class or a subclass of it (at some point
 * in the future). The purpose is to standardise output from FEARLUS models,
 * paving the way for XML output at some point.
 */

#import "FearlusThing.h"
#import <stdio.h>

@class FearlusStream;

@interface FearlusOutput: FearlusThing {
}

+(const char *)nl;		// Newline character sequence
+(FearlusStream *)setStream: (FearlusStream *)s;
+(FearlusStream *)getStream;

@end
