/*
    FEARLUS model1-0: GridLayerCell.h
    Copyright (C) 1999-2006  Macaulay Institute

    This file is part of FEARLUS model1-0, an agent-based model of land use
    change.

    FEARLUS model1-0 is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    FEARLUS model1-0 is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details. (LICENCE file in
    this directory.)

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

    Contact information:
      Gary Polhill,
      Macaulay Institute, Craigiebuckler, Aberdeen, AB15 8QH. United Kingdom
      g.polhill@macaulay.ac.uk
*/
/*

The GridLayerCell class is used to store in a cell the settings for each
raster. It contains an associative array that associates the string for a
particular layer with a string value that appears in the grid file.

*/

#import "FearlusThing.h"

@class AssocArray;

@interface GridLayerCell: FearlusThing {
  AssocArray *layers;
}

+create: z;
-setNLayers: (int)n;		// This is just an estimate
-setLayer: (const char *)layer value: (const char *)value;
-(const char *)getLayer: (const char *)layer;
-(const char *)getLayer: (const char *)word1 word2: (const char *)word2;
-(void)drop;

@end
