/*
    FEARLUS model1-0: HighWealthEvent.h
    Copyright (C) 1999-2006  Macaulay Institute

    This file is part of FEARLUS model1-0, an agent-based model of land use
    change.

    FEARLUS model1-0 is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    FEARLUS model1-0 is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details. (LICENCE file in
    this directory.)

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

    Contact information:
      Gary Polhill,
      Macaulay Institute, Craigiebuckler, Aberdeen, AB15 8QH. United Kingdom
      g.polhill@macaulay.ac.uk
*/

/* This event occurs when a land manager's account exceeds a specified
 * threshold.
 */

#import "AbstractEvent.h"

@interface HighWealthEvent: AbstractEvent {
  double richThreshold;		// The threshold at which the land manager
				// is regarded as being rich enough to trigger
				// this event.
}

-create: (id <Zone>)z forLandManager: lm;
-(void)load: (FILE *)fp;
-(void)writeParameters: (FILE *)fp;
-(void)initialise;
-(BOOL)occurred;

@end
