/*
    FEARLUS model1-0: RandomCopyingStrategy.h
    Copyright (C) 1999-2006  Macaulay Institute

    This file is part of FEARLUS model1-0, an agent-based model of land use
    change.

    FEARLUS model1-0 is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    FEARLUS model1-0 is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details. (LICENCE file in
    this directory.)

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

    Contact information:
      Gary Polhill,
      Macaulay Institute, Craigiebuckler, Aberdeen, AB15 8QH. United Kingdom
      g.polhill@macaulay.ac.uk
*/
/*


Interface for the RandomCopyingStrategy object. This is a non-historical
imitative strategy for determining the land use of a land parcel. Select at
random from the land uses of the land parcels owned by you and your neighbours
EXCEPT for the land use of the decision parcel. I.e. ALWAYS try to use a new
land use. This does not use neighbourhood weighting.

*/

#import "FearlusThing.h"
#import "Strategy.h"

@interface RandomCopyingStrategy: FearlusThing
<ImitativeStrategy, NonHistoricalStrategy> {
  id <StrategyManager> lm;
  Parameter *parameter;
}

@end
