/*
    FEARLUS model1-0: RandomStrategy.h
    Copyright (C) 1999-2006  Macaulay Institute

    This file is part of FEARLUS model1-0, an agent-based model of land use
    change.

    FEARLUS model1-0 is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    FEARLUS model1-0 is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details. (LICENCE file in
    this directory.)

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

    Contact information:
      Gary Polhill,
      Macaulay Institute, Craigiebuckler, Aberdeen, AB15 8QH. United Kingdom
      g.polhill@macaulay.ac.uk
*/
/*


Interface for the RandomStrategy object. This is a non-historical non-imitative
strategy for determining the land use of a land parcel -- simply select at
random from the options available, with an equal expectation of selecting each.

*/

#import "FearlusThing.h"
#import "Strategy.h"

@interface RandomStrategy: FearlusThing
<NonImitativeStrategy, NonHistoricalStrategy> {
  id <StrategyManager> lm;
  Parameter *parameter;
}

@end
